#pragma once

#include "ofMain.h"

class ofApp : public ofBaseApp{
	public:
		void setup();
		void update();
		void draw();
		
		void keyPressed(int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y);
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);
		void dragEvent(ofDragInfo dragInfo);
		void gotMessage(ofMessage msg);
    
        //webcam
        ofVideoGrabber camVideo;
        int camWidth, camHeight;
    
        //pointer to store original pixels from the webcam
        unsigned char *camPixels;

        //new video output with negative image
        ofTexture negativeImage;
        unsigned char *negativePixels;
    
        //new video output with glitch image
        ofTexture glitchImage;
        unsigned char *glitchPixels;

};
